pcl::PCLPointField Struct Reference

`#include <pcl/PCLPointField.h>`

## Public Types

enum | PointFieldTypes { INT8 = 1, UINT8 = 2, INT16 = 3, UINT16 = 4, INT32 = 5, UINT32 = 6, FLOAT32 = 7, FLOAT64 = 8 }
typedef boost::shared_ptr< ::pcl::PCLPointField > | Ptr
typedef boost::shared_ptr< ::pcl::PCLPointField const > | ConstPtr

## Public Member Functions

| PCLPointField ()

## Public Attributes

std::string | name
pcl::uint32_t | offset
pcl::uint8_t | datatype
pcl::uint32_t | count

## Detailed Description

Definition at line 16 of file PCLPointField.h.

## Member Typedef Documentation

## ConstPtr

typedef boost::shared_ptr< ::pcl::PCLPointField const> pcl::PCLPointField::ConstPtr

Definition at line 38 of file PCLPointField.h.

## Ptr

typedef boost::shared_ptr< ::pcl::PCLPointField> pcl::PCLPointField::Ptr

Definition at line 37 of file PCLPointField.h.

## Member Enumeration Documentation

## PointFieldTypes

enum pcl::PCLPointField::PointFieldTypes

Enumerator
INT8 |
UINT8 |
INT16 |
UINT16 |
INT32 |
UINT32 |
FLOAT32 |
FLOAT64 |

Definition at line 27 of file PCLPointField.h.

## Constructor & Destructor Documentation

## PCLPointField()

pcl::PCLPointField::PCLPointField | ( |  | ) |

inline

Definition at line 18 of file PCLPointField.h.

## Member Data Documentation

## count

pcl::uint32_t pcl::PCLPointField::count

Definition at line 25 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## datatype

pcl::uint8_t pcl::PCLPointField::datatype

Definition at line 24 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## name

std::string pcl::PCLPointField::name

Definition at line 21 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::FieldMatches< PointT, Tag >::operator()().

## offset

pcl::uint32_t pcl::PCLPointField::offset

Definition at line 23 of file PCLPointField.h.

Referenced by pcl::detail::FieldAdder< PointT >::operator()(), and pcl::detail::FieldMapper< PointT >::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/PCLPointField.h